GetAgentRunAPIv1 mirrors erdo_get_agent_run.
curl --request GET \
--url https://api.erdo.ai/v1/runs/{runID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.erdo.ai/v1/runs/{runID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.erdo.ai/v1/runs/{runID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run": {
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_key": "<string>",
"agent_name": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": "<string>",
"iterations": -1,
"loaded_context": {},
"model": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"output": "<string>",
"parameters": {},
"parent_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"persona_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"persona_key": "<string>",
"persona_name": "<string>",
"resources": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
],
"started_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"stop_reason": "<string>",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tokens_used": -1,
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
GetAgentRunAPIv1 mirrors erdo_get_agent_run.
GET
/
v1
/
runs
/
{runID}
GetAgentRunAPIv1 mirrors erdo_get_agent_run.
ListAgentRunsAPI mirrors erdo_list_agent_runs.
ScreenshotAPI mirrors the erdo_screenshot MCP tool as a REST endpoint: capture
⌘I

